Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 529:06ffbecc7262
prev528:49cb007348aa
next537:d924be49e192
author nkeynes
date Mon Nov 19 08:45:00 2007 +0000 (12 years ago)
permissions -rw-r--r--
last change Make esound optional (only build driver if present)
file annotate diff log raw
1.1 --- a/configure Sun Nov 18 11:13:42 2007 +0000
1.2 +++ b/configure Mon Nov 19 08:45:00 2007 +0000
1.3 @@ -701,6 +701,10 @@
1.4 PKG_CONFIG
1.5 PACKAGE_CFLAGS
1.6 PACKAGE_LIBS
1.7 +ESOUND_CFLAGS
1.8 +ESOUND_LIBS
1.9 +AUDIO_ESOUND_TRUE
1.10 +AUDIO_ESOUND_FALSE
1.11 BUILD_SH4X86_TRUE
1.12 BUILD_SH4X86_FALSE
1.13 CDROM_LINUX_TRUE
1.14 @@ -745,7 +749,9 @@
1.15 CPP
1.16 PKG_CONFIG
1.17 PACKAGE_CFLAGS
1.18 -PACKAGE_LIBS'
1.19 +PACKAGE_LIBS
1.20 +ESOUND_CFLAGS
1.21 +ESOUND_LIBS'
1.22
1.23
1.24 # Initialize some variables set by options.
1.25 @@ -1342,6 +1348,9 @@
1.26 C compiler flags for PACKAGE, overriding pkg-config
1.27 PACKAGE_LIBS
1.28 linker flags for PACKAGE, overriding pkg-config
1.29 + ESOUND_CFLAGS
1.30 + C compiler flags for ESOUND, overriding pkg-config
1.31 + ESOUND_LIBS linker flags for ESOUND, overriding pkg-config
1.32
1.33 Use these variables to override the choices made by `configure' or to help
1.34 it to find libraries and programs with nonstandard names/locations.
1.35 @@ -5056,12 +5065,12 @@
1.36 pkg_cv_PACKAGE_CFLAGS="$PACKAGE_CFLAGS"
1.37 else
1.38 if test -n "$PKG_CONFIG" && \
1.39 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 esound libpng \"") >&5
1.40 - ($PKG_CONFIG --exists --print-errors " gtk+-2.0 esound libpng ") 2>&5
1.41 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 libpng \"") >&5
1.42 + ($PKG_CONFIG --exists --print-errors " gtk+-2.0 libpng ") 2>&5
1.43 ac_status=$?
1.44 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.45 (exit $ac_status); }; then
1.46 - pkg_cv_PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " gtk+-2.0 esound libpng " 2>/dev/null`
1.47 + pkg_cv_PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " gtk+-2.0 libpng " 2>/dev/null`
1.48 else
1.49 pkg_failed=yes
1.50 fi
1.51 @@ -5074,12 +5083,12 @@
1.52 pkg_cv_PACKAGE_LIBS="$PACKAGE_LIBS"
1.53 else
1.54 if test -n "$PKG_CONFIG" && \
1.55 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 esound libpng \"") >&5
1.56 - ($PKG_CONFIG --exists --print-errors " gtk+-2.0 esound libpng ") 2>&5
1.57 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 libpng \"") >&5
1.58 + ($PKG_CONFIG --exists --print-errors " gtk+-2.0 libpng ") 2>&5
1.59 ac_status=$?
1.60 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.61 (exit $ac_status); }; then
1.62 - pkg_cv_PACKAGE_LIBS=`$PKG_CONFIG --libs " gtk+-2.0 esound libpng " 2>/dev/null`
1.63 + pkg_cv_PACKAGE_LIBS=`$PKG_CONFIG --libs " gtk+-2.0 libpng " 2>/dev/null`
1.64 else
1.65 pkg_failed=yes
1.66 fi
1.67 @@ -5098,14 +5107,14 @@
1.68 _pkg_short_errors_supported=no
1.69 fi
1.70 if test $_pkg_short_errors_supported = yes; then
1.71 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors " gtk+-2.0 esound libpng "`
1.72 + PACKAGE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors " gtk+-2.0 libpng "`
1.73 else
1.74 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " gtk+-2.0 esound libpng "`
1.75 + PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " gtk+-2.0 libpng "`
1.76 fi
1.77 # Put the nasty error message in config.log where it belongs
1.78 echo "$PACKAGE_PKG_ERRORS" >&5
1.79
1.80 - { { echo "$as_me:$LINENO: error: Package requirements ( gtk+-2.0 esound libpng ) were not met:
1.81 + { { echo "$as_me:$LINENO: error: Package requirements ( gtk+-2.0 libpng ) were not met:
1.82
1.83 $PACKAGE_PKG_ERRORS
1.84
1.85 @@ -5116,7 +5125,7 @@
1.86 and PACKAGE_LIBS to avoid the need to call pkg-config.
1.87 See the pkg-config man page for more details.
1.88 " >&5
1.89 -echo "$as_me: error: Package requirements ( gtk+-2.0 esound libpng ) were not met:
1.90 +echo "$as_me: error: Package requirements ( gtk+-2.0 libpng ) were not met:
1.91
1.92 $PACKAGE_PKG_ERRORS
1.93
1.94 @@ -5158,6 +5167,92 @@
1.95 :
1.96 fi
1.97
1.98 +pkg_failed=no
1.99 +{ echo "$as_me:$LINENO: checking for ESOUND" >&5
1.100 +echo $ECHO_N "checking for ESOUND... $ECHO_C" >&6; }
1.101 +
1.102 +if test -n "$PKG_CONFIG"; then
1.103 + if test -n "$ESOUND_CFLAGS"; then
1.104 + pkg_cv_ESOUND_CFLAGS="$ESOUND_CFLAGS"
1.105 + else
1.106 + if test -n "$PKG_CONFIG" && \
1.107 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
1.108 + ($PKG_CONFIG --exists --print-errors "esound") 2>&5
1.109 + ac_status=$?
1.110 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.111 + (exit $ac_status); }; then
1.112 + pkg_cv_ESOUND_CFLAGS=`$PKG_CONFIG --cflags "esound" 2>/dev/null`
1.113 +else
1.114 + pkg_failed=yes
1.115 +fi
1.116 + fi
1.117 +else
1.118 + pkg_failed=untried
1.119 +fi
1.120 +if test -n "$PKG_CONFIG"; then
1.121 + if test -n "$ESOUND_LIBS"; then
1.122 + pkg_cv_ESOUND_LIBS="$ESOUND_LIBS"
1.123 + else
1.124 + if test -n "$PKG_CONFIG" && \
1.125 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
1.126 + ($PKG_CONFIG --exists --print-errors "esound") 2>&5
1.127 + ac_status=$?
1.128 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.129 + (exit $ac_status); }; then
1.130 + pkg_cv_ESOUND_LIBS=`$PKG_CONFIG --libs "esound" 2>/dev/null`
1.131 +else
1.132 + pkg_failed=yes
1.133 +fi
1.134 + fi
1.135 +else
1.136 + pkg_failed=untried
1.137 +fi
1.138 +
1.139 +
1.140 +
1.141 +if test $pkg_failed = yes; then
1.142 +
1.143 +if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
1.144 + _pkg_short_errors_supported=yes
1.145 +else
1.146 + _pkg_short_errors_supported=no
1.147 +fi
1.148 + if test $_pkg_short_errors_supported = yes; then
1.149 + ESOUND_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "esound"`
1.150 + else
1.151 + ESOUND_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "esound"`
1.152 + fi
1.153 + # Put the nasty error message in config.log where it belongs
1.154 + echo "$ESOUND_PKG_ERRORS" >&5
1.155 +
1.156 + echo "Warning: esound not found - building without audio support"
1.157 +elif test $pkg_failed = untried; then
1.158 + echo "Warning: esound not found - building without audio support"
1.159 +else
1.160 + ESOUND_CFLAGS=$pkg_cv_ESOUND_CFLAGS
1.161 + ESOUND_LIBS=$pkg_cv_ESOUND_LIBS
1.162 + { echo "$as_me:$LINENO: result: yes" >&5
1.163 +echo "${ECHO_T}yes" >&6; }
1.164 +
1.165 + HAVE_ESOUND='yes'
1.166 +
1.167 +cat >>confdefs.h <<\_ACEOF
1.168 +#define HAVE_ESOUND 1
1.169 +_ACEOF
1.170 +
1.171 +fi
1.172 +
1.173 +
1.174 +if test "$HAVE_ESOUND" = 'yes' ; then
1.175 + AUDIO_ESOUND_TRUE=
1.176 + AUDIO_ESOUND_FALSE='#'
1.177 +else
1.178 + AUDIO_ESOUND_TRUE='#'
1.179 + AUDIO_ESOUND_FALSE=
1.180 +fi
1.181 +
1.182 +
1.183 +
1.184 { echo "$as_me:$LINENO: checking for uncompress in -lz" >&5
1.185 echo $ECHO_N "checking for uncompress in -lz... $ECHO_C" >&6; }
1.186 if test "${ac_cv_lib_z_uncompress+set}" = set; then
1.187 @@ -5960,6 +6055,7 @@
1.188
1.189 GETTEXT_PACKAGE=lxdream
1.190
1.191 +
1.192 cat >>confdefs.h <<_ACEOF
1.193 #define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
1.194 _ACEOF
1.195 @@ -7583,6 +7679,13 @@
1.196 Usually this means the macro was only invoked conditionally." >&2;}
1.197 { (exit 1); exit 1; }; }
1.198 fi
1.199 +if test -z "${AUDIO_ESOUND_TRUE}" && test -z "${AUDIO_ESOUND_FALSE}"; then
1.200 + { { echo "$as_me:$LINENO: error: conditional \"AUDIO_ESOUND\" was never defined.
1.201 +Usually this means the macro was only invoked conditionally." >&5
1.202 +echo "$as_me: error: conditional \"AUDIO_ESOUND\" was never defined.
1.203 +Usually this means the macro was only invoked conditionally." >&2;}
1.204 + { (exit 1); exit 1; }; }
1.205 +fi
1.206 if test -z "${BUILD_SH4X86_TRUE}" && test -z "${BUILD_SH4X86_FALSE}"; then
1.207 { { echo "$as_me:$LINENO: error: conditional \"BUILD_SH4X86\" was never defined.
1.208 Usually this means the macro was only invoked conditionally." >&5
1.209 @@ -8235,15 +8338,15 @@
1.210 PKG_CONFIG!$PKG_CONFIG$ac_delim
1.211 PACKAGE_CFLAGS!$PACKAGE_CFLAGS$ac_delim
1.212 PACKAGE_LIBS!$PACKAGE_LIBS$ac_delim
1.213 +ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.214 +ESOUND_LIBS!$ESOUND_LIBS$ac_delim
1.215 +AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
1.216 +AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
1.217 BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.218 BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.219 CDROM_LINUX_TRUE!$CDROM_LINUX_TRUE$ac_delim
1.220 CDROM_LINUX_FALSE!$CDROM_LINUX_FALSE$ac_delim
1.221 SHCC!$SHCC$ac_delim
1.222 -SHLD!$SHLD$ac_delim
1.223 -SHOBJCOPY!$SHOBJCOPY$ac_delim
1.224 -ARMCC!$ARMCC$ac_delim
1.225 -ARMLD!$ARMLD$ac_delim
1.226 _ACEOF
1.227
1.228 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
1.229 @@ -8285,6 +8388,10 @@
1.230 ac_delim='%!_!# '
1.231 for ac_last_try in false false false false false :; do
1.232 cat >conf$$subs.sed <<_ACEOF
1.233 +SHLD!$SHLD$ac_delim
1.234 +SHOBJCOPY!$SHOBJCOPY$ac_delim
1.235 +ARMCC!$ARMCC$ac_delim
1.236 +ARMLD!$ARMLD$ac_delim
1.237 ARMOBJCOPY!$ARMOBJCOPY$ac_delim
1.238 BUILD_SYSTEST_TRUE!$BUILD_SYSTEST_TRUE$ac_delim
1.239 BUILD_SYSTEST_FALSE!$BUILD_SYSTEST_FALSE$ac_delim
1.240 @@ -8310,7 +8417,7 @@
1.241 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.242 _ACEOF
1.243
1.244 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 23; then
1.245 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 27; then
1.246 break
1.247 elif $ac_last_try; then
1.248 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.